#include <qapplication.h>
#include <qobject.h>
#include "SlideShowWin.h"
#include <stdlib.h>
#include <iostream.h>
#include <qdir.h>

int main(int argc, char **argv)
{
	int num_files = 0;
	QString **files;
	
	QApplication a( argc, argv );
	
	QDir dir;
	
	if(argc > 1)
	{	
		files = (QString **)malloc(argc*sizeof(QString *));
		if(files == NULL)
		{
			cerr<<"files malloc failed\n";
			exit(-1);
		}
	
		int i;
		i=1;
		while(i < argc)
		{
			QString *file = new QString(argv[i]);
			files[i-1] = file;		
//			cerr<<*file<<"\n";
			i++;
		}
		
		num_files = argc-1;
	}
	else
	{		
		dir.setNameFilter("*.png");

		files = (QString **)malloc(dir.entryList().count()*sizeof(QString *));
		if(files == NULL)
		{
			cerr<<"files malloc failed\n";
			exit(-1);
		}
		
		unsigned int i=0;
		
		for(i=0;i<dir.entryList().count();i++)
		{
			QString *file = new QString(dir.entryList()[i]);
//			cerr<<*file<<"\n";			
			files[i] = file; 
		}
	
		num_files = dir.entryList().count();
	
	}
	
	if(num_files == 0)
	{
		cerr<<"no files found\n";
		exit(-1);
	}				

	SlideShowWin win(num_files,files,dir.absPath());

	a.setMainWidget(&win);
	
	win.show();
	
	QObject::connect(&win,SIGNAL(quit()),&a,SLOT(quit()));
	
	a.exec();

	exit(0);
}
